Error :(

Topics: Developer Forum
Sep 20, 2011 at 3:51 PM

I did the installation tut but it gave a error

The type or namespace name 'ScintillaNet' could not be found (are you missing a using directive or an assembly reference?)

and a warning:

The currently targeted framework ".NETFramework,Version=v4.0,Profile=Client" does not include "System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" which the referenced assembly "ScintillaNet" depends on. This caused the referenced assembly to not resolve. To fix this, either (1) change the targeted framework for this project, or (2) remove the referenced assembly from the project.

i'm on windows 8 developer preview with Visual C# 2010 Express.

Coordinator
Sep 20, 2011 at 5:02 PM

See

http://scintillanet.codeplex.com/workitem/26967

I should get around to updating the readme to indicate this. At the time .NET 4.0/VS2010 wasn't out yet so this wasn't a problem.

Coordinator
Sep 20, 2011 at 5:09 PM

The solution is to change the runtime to .NET 4 Full. 

OTTOMH I don't know how to do this in c# express

http://msdn.microsoft.com/en-us/library/cc656912.aspx

Developer
Sep 20, 2011 at 7:59 PM

Don't think you can in the VC# Express IDE, but you can open the project file in a text editor and change the TargetFramework that way.

Sep 21, 2011 at 11:58 PM

i changed net framework on project, it works now :D thanks!